#include "Gos.pch"
#include "IME.h"

DWORD (*GosIME::GetStatus)() = IME::GetStatus;
void (*GosIME::SetPosition)(int,int,DWORD,DWORD,BYTE,BYTE,BYTE,DWORD) = IME::SetPosition;
void (*GosIME::Display)() = IME::Display;
void (*GosIME::Hide)() = IME::Hide;
void (*GosIME::Enable)() = IME::Enable;
void (*GosIME::Disable)() = IME::Disable;


bool IME::s_Enabled = true;
bool IME::s_Visible = false;

DWORD IME::GetStatus()
{
	return s_Visible ? 1 : 0;
}

void IME::SetPosition(int x, int y, DWORD baseColor, DWORD borderColor, BYTE symbolTranslucence, BYTE symbolSize, BYTE symbolPlacement, DWORD symbolColor)
{
	x;
	y;
	baseColor;
	borderColor;
	symbolTranslucence;
	symbolSize;
	symbolPlacement;
	symbolColor;
}

void IME::Display()
{
	s_Enabled = true;
	s_Visible = true;
}

void IME::Hide()
{
	s_Visible = false;
}

void IME::Enable()
{
	s_Enabled = true;
}

void IME::Disable()
{
	s_Enabled = false;
	s_Visible = false;
}
